---
gitea: none
include_toc: true
---


## TLDR Changelog

- Pi4 joined the Kubernetes cluster as a Master, and moved the old/previous Orange Pi 5 that was working as a master to a slave role.

- The main reverse proxy (Traefik) that was running in the Pi4 has been replaced for Istio running in the Kubernetes cluster.

- Services where reorganized into the server or Kubernetes cluster.

- Some services might have been removed or added.

# Devices

## List of current devices:

### Standalone

```yaml
Gateway: 192.168.1.1
Srv: 192.168.1.3
```

### Kluster

> Kubernetes Cluster

A Pi 4 with 4GB running as a Master.
A set of Orange PI 5, so far all of them are the 8GB of RAM version.

```yaml
Masterk: 192.168.1.9
Slave01: 192.168.1.10
Slave02: 192.168.1.11
```

## Which services are running where.

### Srv (main media server)

> Initially the server would contain media services and some with higher load, like Minecraft and factorio servers. Right now this server is the designated media server provider, and as well contains other more generalized services, as currently in planning a migration to reorganize the infrastructure.

Services run on `docker` / `docker-compose`.

#### Home Network

- CoreDNS
- DHCPd

#### Containerization

- Traefik
- Portainer
- Registry
- Registry-UI
- Jenkins agent
- containrrr/watchtower
- zcube/cadvisor

#### Git Servers

- Gitea

#### Media

- kizaing/kavita
- prologic/tube
- gotson/komga
- lscr.io/linuxserver/qbittorrent
- grafana
- lscr.io/linuxserver/jellyfin
- difegue/lanraragi
- filebrowser/filebrowser

### Kluster

#### Clusterwise

- Cilium
- Istio Service Mesh
- MetalLB
- Cert-Manager

#### CI/CD

- Jenkins Controller

#### Monitoring

- Grafana
- Prometheus
- Jaeger
- Kiali

#### Home Network

- CoreDNS
- DHCPd

#### Misc

- DuckDNS (updates the DNS records)
- GoDaddy (updates the DNS records)
- [Steam_Invite_Discord](https://gitea.filterhome.xyz/ofilter/Steam_Invite_Discord)

#### Notes

Cert-Manager generates public certificates automatically

> https://cert-manager.io/docs/configuration/acme/

### Depracated

- bind9 DNS
- [Internet speedtest metrics](https://github.com/nickmaccarthy/internet-speed-test-metrics)
- kanboard
- mantis
- minecraft server + [Minecraft Discord Bot](https://gitea.filterhome.xyz/ofilter/Minecraft_Discord_Bot)
- [FGO Tools](https://github.com/OriolFilter/FGO_tools)
- muximix
- openvpn
- Plex
- Protainer
- mantis
- [speedtest_container](https://gitea.filterhome.xyz/ofilter/speedtest_contiainer)
- splunk
- vaultwarden
- alert manager
- chesscorp/chess-club
